function M = graph_load(filename)
   cfilename = ['graphs/', filename];
   fid = fopen(cfilename,"r");
   line = fgetl(fid);
   V = str2num(line);
   n = V(1);
   a = V(2);
   M = ones(n,n)*Inf;
   for k = 1:a
      line = fgetl(fid);
      V = str2num(line);
      M(V(1), V(2)) = V(3);
      M(V(2), V(1)) = V(3);
   endfor
   fclose(fid);
endfunction